/* --------------------------------------------------------------- */
/* main-column */
/* --------------------------------------------------------------- */

#main_container {
	margin: 1rem 0;
}

@media screen and (min-width:641px) {
	#main_container {
	width: 800px;
	order: 2;
	}
}

@media screen and (max-width: 640px) {
	#main {
		width: 100%;
		display: block;
	}
}

#side_container {
	order: 1;
	margin: 1rem 0;
}

/* --------------------------------------------------------------- */
/* pNavi */
/* --------------------------------------------------------------- */

#pNavi ul {
        height: 50px;
        letter-spacing: -.4em;
    }
#pNavi li:nth-of-type(n+2)::before {
        content: ">";
        margin: 0px 10px;
    }
#pNavi li {
        display: inline-block;
        letter-spacing: normal;
        line-height: 20px;
        font-size: 13px;
    }

@media (max-width: 640px) {
  #pNavi {
/*	background: #D7D7D7;
   	padding: 2px 10px; */
	margin: 20px 0;
	}
  #pNavi ul {
        height: auto;
        letter-spacing: -.4em;
    }
}

/* --------------------------------------------------------------- */
/* config-column */
/* --------------------------------------------------------------- */

.column-side {
  display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
    width: 230px;
 }

@media screen and (max-width: 640px) {
  .column-side {
  width: 100%;
  }
}

/* side-title */
.column-side .side-title {
  padding: 0.6rem 0.5rem 0.6rem 1rem;
  font-weight: 450;
  letter-spacing: 0.1em;
  color: #fff;
  background: #262626;
}

/* side-nav */
/* nav-list */
.side-nav .nav-list {
  border-left: 0.2rem solid #D7D7D7;
  border-right: 0.2rem solid #D7D7D7;
}
.side-nav .nav-list > li {
  border-bottom: 0.1rem solid #D7D7D7;
  font-weight: 400;
  letter-spacing: 0.05em;
}
.side-nav .nav-list li a,
.side-nav .nav-list .toggle {
  display: block;
  padding: 1.0rem 0.8rem;
  text-decoration: none;
  color: #000;
}
.side-nav .nav-list li:hover {
    background: #EEEEEE;
}
.side-nav .nav-list .has-children:hover {
    background: none;
}


.column-side .side-nav .nav-list:last-child{
  border-bottom: 0.2rem solid #D7D7D7;
}
.column-side .side-nav .nav-list > li:last-child {
  border-bottom: none;
}

/* blog */

.column-side .side-blog {
  padding: 1rem;
  border: 0.2rem solid #D7D7D7;
  line-height: 1.2rem;
}
.column-side .side-blog h3{
    border-bottom: 2px solid #0066cc;
    font-weight: 500;
    line-height: 1.5rem;
    margin-bottom: 1rem;
    color: #0066cc;
}
.column-side .side-blog ol{
    list-style: decimal; margin-left: 1em;line-height: normal;
}
.column-side .side-blog li {
    padding: 0.5rem 0;
}
.column-side .side-blog .kanren a{
    text-decoration: none;
    color: black;
 }
.column-side .side-blog img {
    max-width: 65px;
    border: solid 1px black;
    margin-right: 0.5rem;
 }

/* list-child */
.side-nav .nav-list .list-child {
  display: block;
  height: auto;
  overflow: visible;
}
.side-nav .nav-list .list-child > li {
  position: relative;
  display: block;
  letter-spacing: 0.05em;
}
.side-nav .nav-list .list-child li a {
    padding: 0.5rem 1rem 0.5rem 2.7rem;
}
.has-children.active .list-child {
  display: block;
}
.has-children .list-child li a:before {
  content: "";
  position: absolute;
  top: 40%;
  left: 1.5rem;
  width: 0.5rem;
  height: 0.5rem;
  border-top: 2px solid #D7D7D7;
  border-right: 2px solid #D7D7D7;
  box-sizing: border-box;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}
.side_banner img{
  width: 230px;
  margin-top: 12px;
}

/* --------------------------------------------------------------- */
/* contents */
/* --------------------------------------------------------------- */

p {
	line-height: 1.4rem;
}

.common-title {
	border-left: 6px solid #0066cc;
	display: inline-block;
	padding: 0.3rem 0.8rem;
	font-size: 1.8rem;
    line-height: 1.9rem;
	margin-bottom: 2rem;
    color: #222222;
}
@media screen and (max-width: 640px) {
  .common-title {
    font-size: 1.5rem;
	margin-bottom: 1.5rem;
  }
}

.border {
	border: 2px solid #0066cc;
	border-radius: 10px;
	padding: 1rem;
	margin: 1rem auto;
}

.bookorder {
	border-collapse: separate;
    border-spacing: 2px;
    white-space: normal;
	line-height: 1.5rem;
}

.bookorder td {
	padding: 0 5px;
}

.order_color td{
	background-color: #CCE5FF;
}

.bookorder_button {
  display       : inline-block;
  font-size     : 0.8rem;
  text-align    : center;
  cursor        : pointer;
  padding       : 5px 10px;
  background    : #0066cc;
  color         : #ffffff;
  line-height   : 1em;
  transition    : .3s;
  border        : none;
}
.bookorder_button:hover {
  opacity       : 0.8;
}
.right {
	text-align: right;
}

/* --------------------------------------------------------------- */
/* soft */
/* --------------------------------------------------------------- */
.red {
    color: red;
    font-weight: bold;
}
.dl_navi {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    align-content: center;
    margin: 2rem 1rem;
 }
@media screen and (max-width: 640px) {
  .dl_navi {
  flex-wrap: wrap;
  }
}
.box {
    background: #f0f8ff;
    padding: 1rem;
}
.box h4 a { text-decoration: none;}
.soft H2 {
	position: relative;
	border-bottom: solid #0066cc 3px;
	font-weight: 600;
	margin-top: 1.5rem;
	margin-bottom: 1.2rem;
	font-size: 1.1rem;
	padding: 0.5rem 0.2rem;
	color: #0066cc;
    line-height: 1.3rem;
}
.soft H2:before {
    position: absolute;
    bottom:-12px;
    left: 1em;
    width: 0;
    height: 0;
    content: '';
    border-width: 12px 10px 0 10px;
    border-style: solid;
    border-color: #0066cc transparent transparent transparent;
}
.soft H2:after {
  position: absolute;
  bottom: -8px;
  left: 1em;
  width: 0;
  height: 0;
  content: '';
  border-width: 12px 10px 0 10px;
  border-style: solid;
  border-color: #fff transparent transparent transparent; 
}

.soft H3 {
  line-height: 1.5rem;
  background: #fff;
  border-bottom: 1.5px solid rgb(160,160,160);
  margin-bottom: 1rem;
  margin-top: 2rem;
  padding-bottom: 0.3rem;
  font-size: 18px;
  color: #0066cc;
}
.soft H5 {
    margin: 1.2rem 0;
    font-size: 105%;
    line-height: 1.2rem;
}
.small {
    font-weight: normal;
    font-size: 85%;
}
.soft_contents {
    list-style: disc;
    line-height: 1.6rem;
    font-weight: bold;
    padding-left: 1.5rem;
 
}
BLOCKQUOTE {
    line-height: 1.4rem;
    margin-left: 1em;
}
hr {
    border: none;
    background-color: black;
    height: 1px;
}
.soft img {margin-right: 20px; object-fit: contain;}
.soft table { border: 2px solid black; border-collapse: collapse; }
.soft th,
.soft td { border: 1px solid black; padding: 4px 8px;}
.soft ol>li{list-style: decimal; margin-left: 2em;line-height: normal;}

@media screen and (max-width: 640px) {
.soft .box .align-center img {display: none;}
.software img {width:30vw;}}
